%define upstream_name Math-Primality
%define upstream_version 0.08

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 7

Summary:	Check for primes with Perl
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/Math/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(Math::GMPz)
BuildRequires:	perl(Test::Exception)

BuildArch:	noarch
# (tv) because of : /bin/primes.pl
Conflicts: perl-Math-Prime-Util

%description
Check for primes with Perl.

%prep
%autosetup -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.yml MYMETA.yml README
%{_bindir}/*
%{_mandir}/man1/*
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Mon Mar 21 2022 umeabot <umeabot> 0.80.0-7.mga9
+ Revision: 1815021
- Mageia 9 Mass Rebuild

* Mon Sep 20 2021 tv <tv> 0.80.0-6.mga9
+ Revision: 1746080
- Explicitely conflicts with perl-Math-Prime-Util

* Wed Feb 12 2020 umeabot <umeabot> 0.80.0-5.mga8
+ Revision: 1495593
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.80.0-4.mga7
+ Revision: 1269238
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.80.0-3.mga6
+ Revision: 1029734
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.80.0-2.mga6
+ Revision: 967860
- Mageia 6 Mass Rebuild

* Sat Jul 04 2015 sander85 <sander85> 0.80.0-1.mga6
+ Revision: 850425
- imported package perl-Math-Primality

